## ❌ Error: Database testing pipeline failure

**Failed pipeline ID**: [<%= ENV['CI_PIPELINE_ID'] %>](<%= ENV['CI_PIPELINE_URL'] %>)

The database testing pipeline has failed for pipeline ID **<%= ENV['CI_PIPELINE_ID'] %>**.
Please reach out in `#database` or to a database maintainer to help troubleshoot.

<details><summary>Why aren't details of the failure posted here?</summary>

Because migration testing pipelines use production data, and this merge request
is public. Production data may contain sensitive information, so we only expose
this data in job artifacts and output from [the pipeline itself](<%= ENV['CI_PIPELINE_URL'] %>).

</details>
<details><summary>Why don't I have access to this pipeline?</summary>

Because migration testing pipelines use production data, sensitive information
could be leaked in job logs. As a result, the reports are limited to:

- Members of the database group
- Database maintainers
- GitLab team members with an approved
  [access request](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=Individual_Bulk_Access_Request)
  for Reporter access to https://ops.gitlab.net/gitlab-com/database-team/gitlab-com-database-testing/.

</details>
<details><summary>Can I just re-run the pipeline?</summary>

Possibly yes, if the errors were caused by an incident (or services being slow)
and re-running could fix it. If you're doing something slow, remember:

- **Migration testing jobs time out after 10 hours.** Synchronous work on a big table
  can reach this limit, and re-running will mean you wait another 10 hours for it.
- **Migration sampling runs 30 minutes per background migration.** If you add
  20 background migrations, you will hit the timeout. Consider breaking multiple
  background migrations apart into separate merge requests.

If you think re-running might fix it, re-trigger the pipeline by running the
manual job `db:gitlabcom-database-testing`.

</details>

<!-- <%= IDENTIFIABLE_NOTE_TAG %> -->
